#
# spec file for package rdesktop
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rdesktop
Summary:        A Remote Desktop Protocol client
License:        GPL-3.0+
Group:          Productivity/Networking/Other
#Group:          Productivity/Networking/Remote Desktop
Version:        1.8.2
Release:        64.1
Url:            http://www.rdesktop.org/
Source:         %{name}-%{version}.tar.bz2
## FIX-openSUSE: needs rebase (doesn't fit anymore)
Patch0:         rdesktop-1.7.0-lib64.dif
## FIX-openSUSE: remove "Don't depend on pkg-config"
Patch1:         rdesktop-fix_pkgconfig_check.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  alsa-devel
BuildRequires:  automake
BuildRequires:  libsamplerate-devel
BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel
BuildRequires:  pkg-config
BuildRequires:  xorg-x11-devel

%description
rdesktop is an open source client for Windows NT Terminal Server and
Windows 2000 Terminal Services, capable of natively speaking Remote
Desktop Protocol (RDP) in order to present the user's NT desktop.
Unlike Citrix ICA, no server extensions are required.

%prep
%setup
#patch0
%patch1
## rpmlint
# incorrect-fsf-address /usr/share/rdesktop/keymaps/convert-map
perl -p -i -e 's|^# Foundation.*|# Foundation, 51 Franklin Street, Suite 500, Boston, MA 02110-1335, USA|' keymaps/convert-map

%build
autoreconf --force --install --verbose
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%configure \
  --enable-smartcard \
  --with-openssl=/usr \
  --with-ipv6 \
  --disable-credssp
make

%install
make DESTDIR=$RPM_BUILD_ROOT STRIP=true install
make DESTDIR=$RPM_BUILD_ROOT installman
mkdir -p $RPM_BUILD_ROOT/usr/share/rdesktop
cp -r keymaps $RPM_BUILD_ROOT/usr/share/rdesktop
chmod -R a+r $RPM_BUILD_ROOT/usr/share/rdesktop/keymaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc COPYING doc README
/usr/bin/rdesktop
/usr/share/rdesktop
#/usr/bin/rdp-srvr
%{_mandir}/man1/rdesktop.1.gz

%changelog
* Thu May 22 2014 cs@linux-administrator.com
- update to release 1.8.2
* Wed Nov 20 2013 cs@linux-administrator.com
- update to release 1.8.1
* Fri Aug  9 2013 cs@linux-administrator.com
- update to release 1.8.0
* Wed Mar 13 2013 cs@linux-administrator.com
- re-import
